=== contrib/legacy-eibd/debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/utils.mk

DEB_CONFIGURE_EXTRA_FLAGS := \
	--enable-ft12 \
	--enable-pei16 \
	--enable-tpuart \
	--enable-pei16s \
	--enable-tpuarts \
	--enable-eibnetip \
	--enable-eibnetipserver \
	--enable-groupcache \
	--enable-usb \
	--enable-eibnetiptunnel \
	--enable-onlyeibd

DEB_DH_STRIP_ARGS := -Xusr/lib/bcusdk/lib -Xusr/lib64/bcusdk/lib --dbg-package=eibd-dbg
DEB_DH_INSTALL_SOURCEDIR := debian/tmp
DEB_INSTALL_DOCS_ALL := README

clean::
	find -type l -exec rm {} \;
	autoreconf -i
